# GCC_ApplicationInvokeSpecifier Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ApplicationInvokeSpecifier:

List of all members.

## Public Types

enum | OptionalFields { e_expectedCapabilitySet, e_startupChannel }

## Public Member Functions

| GCC_ApplicationInvokeSpecifier (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_SessionKey | m_sessionKey
GCC_ApplicationInvokeSpecifier_expectedCapabilitySet | m_expectedCapabilitySet
GCC_ChannelType | m_startupChannel
PASN_Boolean | m_mandatoryFlag

## Member Enumeration Documentation

enum GCC_ApplicationInvokeSpecifier::OptionalFields

Enumerator:

  e_expectedCapabilitySet |
  e_startupChannel |

## Constructor & Destructor Documentation

GCC_ApplicationInvokeSpecifier::GCC_ApplicationInvokeSpecifier | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ApplicationInvokeSpecifier::GetDataLength | ( |  | ) | const

PBoolean GCC_ApplicationInvokeSpecifier::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ApplicationInvokeSpecifier::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ApplicationInvokeSpecifier::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ApplicationInvokeSpecifier::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ApplicationInvokeSpecifier::Clone | ( |  | ) | const

## Member Data Documentation

GCC_SessionKey GCC_ApplicationInvokeSpecifier::m_sessionKey

GCC_ApplicationInvokeSpecifier_expectedCapabilitySet GCC_ApplicationInvokeSpecifier::m_expectedCapabilitySet

GCC_ChannelType GCC_ApplicationInvokeSpecifier::m_startupChannel

PASN_Boolean GCC_ApplicationInvokeSpecifier::m_mandatoryFlag

The documentation for this class was generated from the following file:

- gcc.h